Get a column
curl --request GET \
--url https://prod.api.elementary-data.com/public/beta/{env_id}/columns/{column_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod.api.elementary-data.com/public/beta/{env_id}/columns/{column_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod.api.elementary-data.com/public/beta/{env_id}/columns/{column_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asset_id": "<string>",
"id": "<string>",
"name": "<string>",
"data_type": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"synced_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Columns
Get a column
Fetches a single column by id. Returns 404 if it doesn’t exist in this environment.
GET
/
public
/
beta
/
{env_id}
/
columns
/
{column_id}
Get a column
Authorizations
Personal or account token.
Path Parameters
Column identifier.
Environment identifier that scopes the request.
Response
Successful Response
ID of the asset this column belongs to.
Unique column identifier.
Column name.
Data type reported by the source platform.
Soft-delete timestamp. Present only in the deleted_since feed.
When Elementary last synced this column. Use with synced_since for incremental reads.
⌘I

